Bug 1570992 - [upstream][v2v] Importing csv with international characters in VM name fails to parse characters correctly
Summary: [upstream][v2v] Importing csv with international characters in VM name fails ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Aparna Karve
QA Contact: Kedar Kulkarni
URL:
Whiteboard: v2v
Depends On:
Blocks: 1588555
TreeView+ depends on / blocked
 
Reported: 2018-04-23 22:43 UTC by Kedar Kulkarni
Modified: 2019-02-11 14:04 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1588555 (view as bug list)
Environment:
Last Closed: 2019-02-11 14:04:55 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
Screenshot (47.42 KB, image/png)
2018-04-23 22:43 UTC, Kedar Kulkarni
no flags Details
Discovered on left, CSV import on Right (105.09 KB, image/png)
2018-05-22 15:38 UTC, Kedar Kulkarni
no flags Details

Description Kedar Kulkarni 2018-04-23 22:43:55 UTC
Created attachment 1425755 [details]
Screenshot

Description of problem:
If you have a CSV with international characters in the VM name, the characters in VM name in CSV file and one that is displayed in Planning wizard does NOT MATCH. See screenshot.

Version-Release number of selected component (if applicable):
master.20180419232414_b64c360

How reproducible:
100%

Steps to Reproduce:
1.Write a CSV with VM name(actual VM is not required to be created) with international characters(e.g. spanish characters such as Ñ) 
2.Import that CSV
3.

Actual results:
See screenshot attached

Expected results:
Should import correct VM name

Additional info:

Comment 9 Kedar Kulkarni 2018-05-22 15:38:15 UTC
Created attachment 1440250 [details]
Discovered on left, CSV import on Right

Please see Discovered VM with spanish N on left, CSV import on Right shows that differently.

Comment 13 Kedar Kulkarni 2018-07-02 20:36:05 UTC
Importing csv with a Spanish N character in VM Name did parse correctly in 5.10.0.2


Note You need to log in before you can comment on or make changes to this bug.